%define version 1.0.0
%define release 1mdk

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:           skim
Summary:        Input method platform for KDE.
Version:        %{version}
Release:        %{release}
Group:		System/Internationalization
License:	GPL
URL:		http://www.freedesktop.org/Software/ScimKDE
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	kdebase scim >= 0.99.9
BuildRequires:	scim-devel >= 0.99.9 kdebase-devel

%description
Skim is an input method platform based upon scim-lib for KDE.
It provides a GUI panel (named scim-panel-kde), a KConfig config module and
SetupUIs for itself and scim-lib.
It also has its own plugin systems which support on-demand loadable actions.


%package -n %{libname}
Summary:	Skim library.
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
Skim library.

%package -n %{libname}-devel
Summary:	Headers of skim for development.
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.


%prep
%setup -q

%build
# fix build (ut):
%define __libtoolize /bin/true
%configure2_5x --disable-rpath 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%_datadir/applnk/Utilities/skim.desktop
%_datadir/apps/skim
%_datadir/config.kcfg/*.kcfg
%_datadir/doc/HTML/skim/*
%_datadir/doc/HTML/*/skim/*
%_datadir/icons/*/*/*/*
%_datadir/services/skimconfiguredialog
%_datadir/services/skimplugin_*.desktop
%_datadir/servicetypes/skim*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.0.0.0
%{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%{_libdir}/scim-*/*/*/*.so.0.0.0
%{_libdir}/scim-*/*/*/*.la

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so
%{_libdir}/lib*.so.0
%{_libdir}/lib*.la
%{_libdir}/scim-*/*/*/*.so
%{_libdir}/scim-*/*/*/*.so.0


%changelog
* Thu Sep 09 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdk
- new release

* Fri Sep 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-2mdk
- skim needs *.la for plugins
- fix requires (skim won't work w/o scim)
- disable rpath

* Sun Aug 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-1mdk
- fix file list
- fix description & summary
- fix a few rpmlint warnings
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
